<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  
  

  


  <head>
    <title>
      #1669 (make Sphinx documentation)
     – cactus
    </title>
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
      <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <!--[if IE]><script type="text/javascript">
      if (/^#__msie303:/.test(window.location.hash))
        window.location.replace(window.location.hash.replace(/^#__msie303:/, '#'));
    </script><![endif]-->
        <link rel="search" href="/trac/cactus/search" />
        <link rel="prev" href="/tickets/1668.html" title="Ticket #1668" />
        <link rel="last" href="/tickets/2373.html" title="Ticket #2373" />
        <link rel="help" href="/trac/cactus/wiki/TracGuide" />
        <link rel="alternate" href="/tickets/1669.csv" type="text/csv" class="csv" title="Comma-delimited Text" /><link rel="alternate" href="/tickets/1669?format=tab" type="text/tab-separated-values" class="tab" title="Tab-delimited Text" /><link rel="alternate" href="/tickets/1669?format=rss" type="application/rss+xml" class="rss" title="RSS Feed" />
        <link rel="next" href="/tickets/1670.html" title="Ticket #1670" />
        <link rel="start" href="/trac/cactus/wiki" />
        <link rel="stylesheet" href="/static/trac.css" type="text/css" /><link rel="stylesheet" href="/static/ticket.css" type="text/css" />
        <link rel="first" href="/tickets/1.html" title="Ticket #1" />
        <link rel="shortcut icon" href="http://cactus.web.cern.ch/cactus/images/cactus_ico.gif" type="image/gif" />
        <link rel="icon" href="http://cactus.web.cern.ch/cactus/images/cactus_ico.gif" type="image/gif" />
    <style id="trac-noscript" type="text/css">.trac-noscript { display: none !important }</style>
      <link type="application/opensearchdescription+xml" rel="search" href="/trac/cactus/search/opensearch" title="Search cactus" />
    <script type="text/javascript">
      var auto_preview_timeout=2.0;
      var form_token="f6b4b296063ddb2670332337";
      var comments_prefs={"comments_only":"false","comments_order":"oldest"};
    </script>
      <script type="text/javascript" charset="utf-8" src="/static/jquery.js"></script>
      <script type="text/javascript" charset="utf-8" src="/static/babel.js"></script>
      <script type="text/javascript" charset="utf-8" src="/static/trac.js"></script>
      <script type="text/javascript" charset="utf-8" src="/static/search.js"></script>
      <script type="text/javascript" charset="utf-8" src="/static/folding.js"></script>
      <script type="text/javascript" charset="utf-8" src="/static/wikitoolbar.js"></script>
      <script type="text/javascript" charset="utf-8" src="/static/resizer.js"></script>
      <script type="text/javascript" charset="utf-8" src="/static/auto_preview.js"></script>
    <script type="text/javascript">
      jQuery("#trac-noscript").remove();
      jQuery(document).ready(function($) {
        $(".trac-autofocus").focus();
        $(".trac-target-new").attr("target", "_blank");
        setTimeout(function() { $(".trac-scroll").scrollToTop() }, 1);
        $(".trac-disable-on-submit").disableOnSubmit();
      });
    </script>
    <script type="text/javascript" src="/static/threaded_comments.js"></script>
    <script type="text/javascript">
      jQuery(document).ready(function($) {
        $("div.description").find("h1,h2,h3,h4,h5,h6").addAnchor(_("Link to this section"));
        $(".foldable").enableFolding(false, true);
      /*<![CDATA[*/
        $("#attachments").toggleClass("collapsed");
        $("#trac-up-attachments").click(function () {
          $("#attachments").removeClass("collapsed");
          return true;
        });
        $("#modify").parent().toggleClass("collapsed");
        $(".trac-topnav a").click(function() { $("#modify").parent().removeClass("collapsed"); });
        /* only enable control elements for the currently selected action */
        var actions = $("#action input[name='action']");
        function updateActionFields() {
          actions.each(function () {
            $(this).siblings().find("*[id]").enable($(this).checked());
            $(this).siblings().filter("*[id]").enable($(this).checked());
          });
        }
        actions.click(updateActionFields);
        updateActionFields();
        function setRevertHandler() {
          $("button.trac-revert").click(function() {
            var div = $("div", this);
            var field_name = div[0].id.substr(7);
            var field_value = div.text();
            var input = $("#propertyform *[name=field_" + field_name + "]");
            if (input.length > 0) {
              if (input.filter("input[type=radio]").length > 0) {
                input.val([field_value]);
              } else if (input.filter("input[type=checkbox]").length > 0) {
                input.val(field_value == "1" ? [field_value] : []);
              } else {
                input.val(field_value);
              }
            } else { // Special case for CC checkbox
              input = $("#propertyform input[name=cc_update]").val([]);
            }
            input.change();
            $(this).closest("li").remove();
            return false;
          });
        }
        setRevertHandler();
        var comment_focused = false;
        $("#comment").focus(function() { comment_focused = true; })
                     .blur(function() { comment_focused = false; });
        $("#propertyform").autoSubmit({preview: '1'}, function(data, reply) {
          var items = $(reply);
          // Update ticket box
          $("#ticket").replaceWith(items.filter('#ticket'));
          // Unthread, unrevert and update changelog
          if (!$('#trac-comments-oldest').checked())
            $('#trac-comments-oldest').click().change();
          $("#changelog").replaceWith(items.filter("#changelog"));
          if ($('#trac-comments-only-toggle').attr('checked'))
            $('#trac-comments-only-toggle').click().attr('checked', true);
          // Show warning
          var new_changes = $("#changelog .trac-new");
          $("#trac-edit-warning").toggle(new_changes.length != 0);
          if (new_changes.length != 0)
            $("#changelog").parent().show().removeClass("collapsed");
          // Update view time
          $("#propertyform input[name='view_time']").replaceWith(items.filter("input[name='view_time']"));
          // Update preview
          var preview = $("#ticketchange").html(items.filter('#preview').children());
          var show_preview = preview.children().length != 0;
          $("#ticketchange").toggle(show_preview);
          setRevertHandler();
          // Collapse property form if comment editor has focus
          if (show_preview && comment_focused)
            $("#modify").parent().addClass("collapsed");
          // Execute scripts to load stylesheets
          items.filter("script").appendTo("head");
        }, "#ticketchange .trac-loading");
        $("#trac-comment-editor").autoSubmit({preview_comment: '1'}, function(data, reply) {
          var comment = $("#trac-comment-editor").next("div.comment").html(reply);
          comment.toggle(comment.children().length != 0);
        }, "#changelog .trac-loading");
        /*]]>*/
      });
    </script>
  </head>
  <body>
    <div id="banner">
      <div id="header">
        <a id="logo" href="/"><img src="/static/cactus_trac_logo.png" alt="" /></a>
      </div>
      <form id="search" action="/trac/cactus/search" method="get">
        <div>
          <label for="proj-search">Search:</label>
          <input type="text" id="proj-search" name="q" size="18" value="" />
          <input type="submit" value="Search" />
        </div>
      </form>
      <div id="metanav" class="nav">
    <ul>
      <li class="first"><a href="/trac/cactus/login">Login</a></li><li><a href="/trac/cactus/prefs">Preferences</a></li><li><a href="/trac/cactus/wiki/TracGuide">Help/Guide</a></li><li class="last"><a href="/trac/cactus/about">About Trac</a></li>
    </ul>
  </div>
    </div>
    <div id="mainnav" class="nav">
    <ul>
      <li class="first"><a href="/trac/cactus/wiki">Wiki</a></li><li><a href="/trac/cactus/timeline">Timeline</a></li><li><a href="/trac/cactus/roadmap">Roadmap</a></li><li><a href="/trac/cactus/browser">Browse Source</a></li><li class="active"><a href="/trac/cactus/report">View Tickets</a></li><li><a href="/trac/cactus/search">Search</a></li><li class="last"><a href="/trac/cactus/blog">Blog</a></li>
    </ul>
  </div>
    <div id="main">
      <div id="ctxtnav" class="nav">
        <h2>Context Navigation</h2>
        <ul>
          <li class="first"><span>&larr; <a class="prev" href="/tickets/1668.html" title="Ticket #1668">Previous Ticket</a></span></li><li class="last"><span><a class="next" href="/tickets/1670.html" title="Ticket #1670">Next Ticket</a> &rarr;</span></li>
        </ul>
        <hr />
      </div>
    <div id="content" class="ticket">
        <div id="ticket" class="trac-content ">
  <div class="date">
    <p>Opened <a class="timeline" href="/trac/cactus/timeline?from=2016-02-23T14%3A52%3A56%2B01%3A00&amp;precision=second" title="See timeline at Feb 23, 2016 2:52:56 PM">3 years ago</a></p>
    <p>Closed <a class="timeline" href="/trac/cactus/timeline?from=2016-07-13T16%3A29%3A01%2B02%3A00&amp;precision=second" title="See timeline at Jul 13, 2016 4:29:01 PM">2 years ago</a></p>
  </div>
  <h2>
    <a href="/tickets/1669.html" class="trac-id">#1669</a>
    <span class="trac-status">
      <a href="/trac/cactus/query?status=closed">closed</a>
    </span>
    <span class="trac-type">
      <a href="/trac/cactus/query?status=!closed&amp;type=task">task</a>
    </span>
    <span class="trac-resolution">
      (<a href="/trac/cactus/query?status=closed&amp;resolution=fixed">fixed</a>)
    </span>
  </h2>
  <h1 id="trac-ticket-title" class="searchable">
    <span class="summary">make Sphinx documentation</span>
  </h1>
  <table class="properties">
    <tr>
      <th id="h_reporter">Reported by:</th>
      <td headers="h_reporter" class="searchable"><a href="/trac/cactus/query?status=!closed&amp;reporter=gdirkx">gdirkx</a></td>
      <th id="h_owner">Owned by:</th>
      <td headers="h_owner"><a href="/trac/cactus/query?status=!closed&amp;owner=gdirkx">gdirkx</a></td>
    </tr>
    <tr>
        <th id="h_priority">
          Priority:
        </th>
        <td headers="h_priority">
              <a href="/trac/cactus/query?status=!closed&amp;priority=minor">minor</a>
        </td>
        <th id="h_milestone">
          Milestone:
        </th>
        <td headers="h_milestone">
              <a class="closed milestone" href="/trac/cactus/milestone/Trigger%20Supervisor%203.6.0" title="Completed 2 years ago (Jul 26, 2016 9:51:51 AM)">Trigger Supervisor 3.6.0</a>
        </td>
    </tr><tr>
        <th id="h_component">
          Component:
        </th>
        <td headers="h_component">
              <a href="/trac/cactus/query?status=!closed&amp;component=triggersupervisor">triggersupervisor</a>
        </td>
        <th id="h_version" class="missing">
          Version:
        </th>
        <td headers="h_version">
              <a href="/trac/cactus/query?status=!closed&amp;version"></a>
        </td>
    </tr><tr>
        <th id="h_keywords" class="missing">
          Keywords:
        </th>
        <td headers="h_keywords" class="searchable">
        </td>
        <th id="h_cc" class="missing">
          Cc:
        </th>
        <td headers="h_cc" class="searchable">
        </td>
    </tr>
  </table>
  <div class="description">
    <h3 id="comment:description">
      Description
    </h3>
    <br style="clear: both" />
  </div>
</div>
          

        <div>
          <div style="position: relative">
            <form id="prefs" method="get" action="/trac/cactus/prefs" style="position: absolute; right: 0">
              <div id="trac-comments-order">
                <input type="radio" id="trac-comments-oldest" name="trac-comments-order" value="oldest" checked="checked" />
                <label for="trac-comments-oldest">Oldest first</label>
                <input type="radio" id="trac-comments-newest" name="trac-comments-order" value="newest" />
                <label for="trac-comments-newest">Newest first</label>
                <span id="trac-threaded-toggle" style="display: none">
                  <input type="radio" id="trac-comments-threaded" name="trac-comments-order" value="threaded" />
                  <label for="trac-comments-threaded">Threaded</label>
                </span>
              </div>
              <div>
                <input id="trac-comments-only-toggle" type="checkbox" />
                <label for="trac-comments-only-toggle">Comments only</label>
              </div>
            </form>
          </div>
          <h3 class="foldable">Change History <span class="trac-count">(35)</span></h3>
          <div id="changelog">
              <div class="change" id="trac-change-1-1458321004551449">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:1" class="cnum">
    <a href="#comment:1">comment:1</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-03-18T18%3A10%3A04%2B01%3A00&amp;precision=second" title="See timeline at Mar 18, 2016 6:10:04 PM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/43804" title="refs #1669. Created a branch folder in SVN to hold the sphinx docs as ...">43804</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. Created a branch folder in SVN to hold the sphinx docs as they develop.<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-2-1458321309443784">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:2" class="cnum">
    <a href="#comment:2">comment:2</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-03-18T18%3A15%3A09%2B01%3A00&amp;precision=second" title="See timeline at Mar 18, 2016 6:15:09 PM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/43805" title="refs #1669. initial commit
">43805</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. initial commit<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-3-1458321385707457">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:3" class="cnum">
    <a href="#comment:3">comment:3</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-03-18T18%3A16%3A25%2B01%3A00&amp;precision=second" title="See timeline at Mar 18, 2016 6:16:25 PM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/43806" title="refs #1669. initial commit
">43806</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. initial commit<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-4-1458839154502417">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:4" class="cnum">
    <a href="#comment:4">comment:4</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-03-24T18%3A05%3A54%2B01%3A00&amp;precision=second" title="See timeline at Mar 24, 2016 6:05:54 PM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/44063" title="refs #1669. Added ts-colors element. Makes using material design ...">44063</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. Added ts-colors element. Makes using material design colors easier for documentation demos<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-5-1458839323373404">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:5" class="cnum">
    <a href="#comment:5">comment:5</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-03-24T18%3A08%3A43%2B01%3A00&amp;precision=second" title="See timeline at Mar 24, 2016 6:08:43 PM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/44065" title="refs #1669. Added and modified a bunch of panels for use in the ...">44065</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. Added and modified a bunch of panels for use in the documentation<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-6-1458839662620234">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:6" class="cnum">
    <a href="#comment:6">comment:6</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-03-24T18%3A14%3A22%2B01%3A00&amp;precision=second" title="See timeline at Mar 24, 2016 6:14:22 PM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/44066" title="refs #1669. Added more demo's (awaiting further explainations). Code ...">44066</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. Added more demo's (awaiting further explainations). Code blocks are now collapsable for readability<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-7-1459929863687321">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:7" class="cnum">
    <a href="#comment:7">comment:7</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-04-06T10%3A04%3A23%2B02%3A00&amp;precision=second" title="See timeline at Apr 6, 2016 10:04:23 AM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/44295" title="refs #1669. Updated refresh-example to have cleaner source code when ...">44295</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. Updated refresh-example to have cleaner source code when appearing in the documentation.<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-8-1459929905924838">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:8" class="cnum">
    <a href="#comment:8">comment:8</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-04-06T10%3A05%3A05%2B02%3A00&amp;precision=second" title="See timeline at Apr 6, 2016 10:05:05 AM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/44296" title="refs #1669. Fixed some typos in the documentation
">44296</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. Fixed some typos in the documentation<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-9-1459947254774335">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:9" class="cnum">
    <a href="#comment:9">comment:9</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-04-06T14%3A54%3A14%2B02%3A00&amp;precision=second" title="See timeline at Apr 6, 2016 2:54:14 PM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/44310" title="refs #1669. Commented out the hacker section
">44310</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. Commented out the hacker section<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-10-1460014738756422">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:10" class="cnum">
    <a href="#comment:10">comment:10</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-04-07T09%3A38%3A58%2B02%3A00&amp;precision=second" title="See timeline at Apr 7, 2016 9:38:58 AM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/44326" title="refs #1669. Made a small patch to vaadin-grid.
">44326</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. Made a small patch to vaadin-grid.<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-11-1460018067755008">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:11" class="cnum">
    <a href="#comment:11">comment:11</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-04-07T10%3A34%3A27%2B02%3A00&amp;precision=second" title="See timeline at Apr 7, 2016 10:34:27 AM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/44329" title="refs #1669. Made another small patch to vaadin-grid.
">44329</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. Made another small patch to vaadin-grid.<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-12-1460020881128455">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:12" class="cnum">
    <a href="#comment:12">comment:12</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-04-07T11%3A21%3A21%2B02%3A00&amp;precision=second" title="See timeline at Apr 7, 2016 11:21:21 AM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/44332" title="refs #1669. Edited the flexbox layout example to include extra css to ...">44332</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. Edited the flexbox layout example to include extra css to compensate for ts-colors not being included in a tagged release of common-elements yet.<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-13-1460369699339634">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:13" class="cnum">
    <a href="#comment:13">comment:13</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-04-11T12%3A14%3A59%2B02%3A00&amp;precision=second" title="See timeline at Apr 11, 2016 12:14:59 PM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/44403" title="refs #1669. Added a table and chart examples panel to Subsystem ...">44403</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. Added a table and chart examples panel to Subsystem Supervisor.<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-14-1460370245763298">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:14" class="cnum">
    <a href="#comment:14">comment:14</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-04-11T12%3A24%3A05%2B02%3A00&amp;precision=second" title="See timeline at Apr 11, 2016 12:24:05 PM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/44404" title="refs #1669. Added the documentation for tables and charts.
">44404</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. Added the documentation for tables and charts.<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-15-1460370317443160">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:15" class="cnum">
    <a href="#comment:15">comment:15</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-04-11T12%3A25%3A17%2B02%3A00&amp;precision=second" title="See timeline at Apr 11, 2016 12:25:17 PM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/44405" title="refs #1669. Fixed some typos in the inline documentation of ag-toaster ...">44405</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. Fixed some typos in the inline documentation of ag-toaster and its behavior.<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-16-1460378166988900">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:16" class="cnum">
    <a href="#comment:16">comment:16</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-04-11T14%3A36%3A06%2B02%3A00&amp;precision=second" title="See timeline at Apr 11, 2016 2:36:06 PM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/44409" title="refs #1669. Added a download link for the cell skeleton tar file in ...">44409</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. Added a download link for the cell skeleton tar file in the cell setup page.<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-17-1460378323681422">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:17" class="cnum">
    <a href="#comment:17">comment:17</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-04-11T14%3A38%3A43%2B02%3A00&amp;precision=second" title="See timeline at Apr 11, 2016 2:38:43 PM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/44411" title="refs #1669. Moving the Sphinx docs to its new home in the trunk folder.
">44411</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. Moving the Sphinx docs to its new home in the trunk folder.<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-18-1460489805954989">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:18" class="cnum">
    <a href="#comment:18">comment:18</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-04-12T21%3A36%3A45%2B02%3A00&amp;precision=second" title="See timeline at Apr 12, 2016 9:36:45 PM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/44500" title="refs #1669. Fixed something in the charts examples panel
">44500</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. Fixed something in the charts examples panel<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-19-1460534551581703">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:19" class="cnum">
    <a href="#comment:19">comment:19</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-04-13T10%3A02%3A31%2B02%3A00&amp;precision=second" title="See timeline at Apr 13, 2016 10:02:31 AM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/44514" title="refs #1669. Updated sphynx docs to reflect the changes in folder ...">44514</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. Updated sphynx docs to reflect the changes in folder stuctures from ticket 1828<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-20-1461051275820316">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:20" class="cnum">
    <a href="#comment:20">comment:20</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-04-19T09%3A34%3A35%2B02%3A00&amp;precision=second" title="See timeline at Apr 19, 2016 9:34:35 AM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/44693" title="refs #1669. Added a theming and notifications demo. Also added a ...">44693</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. Added a theming and notifications demo. Also added a section describing available resources (bower-components, common-elements, ajaxell, framework). Deleted cell-skeleton-src to be replaced with a new version.<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-21-1461055510084785">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:21" class="cnum">
    <a href="#comment:21">comment:21</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-04-19T10%3A45%3A10%2B02%3A00&amp;precision=second" title="See timeline at Apr 19, 2016 10:45:10 AM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/44700" title="refs #1669. Modified the skeleton tar file to reflect the new folder ...">44700</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. Modified the skeleton tar file to reflect the new folder stucture<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-22-1461055689175729">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:22" class="cnum">
    <a href="#comment:22">comment:22</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-04-19T10%3A48%3A09%2B02%3A00&amp;precision=second" title="See timeline at Apr 19, 2016 10:48:09 AM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/44701" title="refs #1669. Added build folder
">44701</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. Added build folder<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-23-1461073735003482">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:23" class="cnum">
    <a href="#comment:23">comment:23</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-04-19T15%3A48%3A55%2B02%3A00&amp;precision=second" title="See timeline at Apr 19, 2016 3:48:55 PM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/44713" title="refs #1669. Temporarily hardcoded the urls to the other packages ...">44713</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. Temporarily hardcoded the urls to the other packages (common-elements, ajaxell, ...) until we find a proper place to host them.<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-24-1461073994167669">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:24" class="cnum">
    <a href="#comment:24">comment:24</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-04-19T15%3A53%3A14%2B02%3A00&amp;precision=second" title="See timeline at Apr 19, 2016 3:53:14 PM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/44714" title="refs #1669. Fixed typo...
">44714</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. Fixed typo...<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-25-1461074015420943">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:25" class="cnum">
    <a href="#comment:25">comment:25</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-04-19T15%3A53%3A35%2B02%3A00&amp;precision=second" title="See timeline at Apr 19, 2016 3:53:35 PM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/44715" title="refs #1669. Fixed typo...
">44715</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. Fixed typo...<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-26-1461322028455861">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:26" class="cnum">
    <a href="#comment:26">comment:26</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-04-22T12%3A47%3A08%2B02%3A00&amp;precision=second" title="See timeline at Apr 22, 2016 12:47:08 PM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/44859" title="refs #1669. Cleaned up the code-editor and flexbox-layout panels.
">44859</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. Cleaned up the code-editor and flexbox-layout panels.<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-27-1461322351668748">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:27" class="cnum">
    <a href="#comment:27">comment:27</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-04-22T12%3A52%3A31%2B02%3A00&amp;precision=second" title="See timeline at Apr 22, 2016 12:52:31 PM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/44861" title="refs #1669. Added a notifications and theme demo
">44861</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. Added a notifications and theme demo<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-28-1462279738678979">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:28" class="cnum">
    <a href="#comment:28">comment:28</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-05-03T14%3A48%3A58%2B02%3A00&amp;precision=second" title="See timeline at May 3, 2016 2:48:58 PM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/45145" title="refs #1669. Added an introduction text to the charts demo. Added a ...">45145</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. Added an introduction text to the charts demo. Added a patch.txt for latex output<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-29-1462279805972813">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:29" class="cnum">
    <a href="#comment:29">comment:29</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-05-03T14%3A50%3A05%2B02%3A00&amp;precision=second" title="See timeline at May 3, 2016 2:50:05 PM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/45146" title="refs #1669. new build
">45146</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. new build<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-30-1462870206451070">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:30" class="cnum">
    <a href="#comment:30">comment:30</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-05-10T10%3A50%3A06%2B02%3A00&amp;precision=second" title="See timeline at May 10, 2016 10:50:06 AM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/45320" title="refs #1669. cleaning up the template-element element.
">45320</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. cleaning up the template-element element.<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-31-1462870283059893">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:31" class="cnum">
    <a href="#comment:31">comment:31</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-05-10T10%3A51%3A23%2B02%3A00&amp;precision=second" title="See timeline at May 10, 2016 10:51:23 AM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/45321" title="refs #1669. cleaning up the template-element element.
">45321</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. cleaning up the template-element element.<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-32-1462870440615867">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:32" class="cnum">
    <a href="#comment:32">comment:32</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-05-10T10%3A54%3A00%2B02%3A00&amp;precision=second" title="See timeline at May 10, 2016 10:54:00 AM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/45323" title="refs #1669. cleaning up the template-element element.
">45323</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. cleaning up the template-element element.<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-33-1462870465787844">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:33" class="cnum">
    <a href="#comment:33">comment:33</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-05-10T10%3A54%3A25%2B02%3A00&amp;precision=second" title="See timeline at May 10, 2016 10:54:25 AM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/45324" title="refs #1669. cleaning up the template-element element.
">45324</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. cleaning up the template-element element.<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-34-1462870514756962">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:34" class="cnum">
    <a href="#comment:34">comment:34</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-05-10T10%3A55%3A14%2B02%3A00&amp;precision=second" title="See timeline at May 10, 2016 10:55:14 AM">3 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
    <div class="comment searchable">
      <p>
In <a class="changeset" href="/trac/cactus/changeset/45326" title="refs #1669. cleaning up the template-element element.
">45326</a>:<br />
</p>
<div class="message"><p>
refs <a class="closed ticket" href="/tickets/1669.html" title="task: make Sphinx documentation (closed: fixed)">#1669</a>. cleaning up the template-element element.<br />
</p>
</div>
    </div>

              </div>
              <div class="change" id="trac-change-35-1468420141873459">
                
  <h3 class="change">
    <span class="threading">
      <span id="comment:35" class="cnum">
    <a href="#comment:35">comment:35</a>
  </span>
    </span>
        Changed <a class="timeline" href="/trac/cactus/timeline?from=2016-07-13T16%3A29%3A01%2B02%3A00&amp;precision=second" title="See timeline at Jul 13, 2016 4:29:01 PM">2 years ago</a> by gdirkx
  </h3>
  <div class="trac-ticket-buttons">
  </div>
  <ul class="changes">
    <li class="trac-field-milestone">
      <strong class="trac-field-milestone">Milestone</strong>
        changed from <em>Trigger Supervisor - FUTURE</em> to <em>Trigger Supervisor 3.6.0</em>
    </li><li class="trac-field-resolution">
      <strong class="trac-field-resolution">Resolution</strong>
        set to <em>fixed</em>
    </li><li class="trac-field-status">
      <strong class="trac-field-status">Status</strong>
        changed from <em>new</em> to <em>closed</em>
    </li>
  </ul>

              </div>
          </div>
        </div>
      <div id="help"><strong>Note:</strong> See
        <a href="/trac/cactus/wiki/TracTickets">TracTickets</a> for help on using
        tickets.</div>
    </div>
    <div id="altlinks">
      <h3>Download in other formats:</h3>
      <ul>
        <li class="first">
          <a rel="nofollow" href="/tickets/1669.csv" class="csv">Comma-delimited Text</a>
        </li><li>
          <a rel="nofollow" href="/tickets/1669?format=tab" class="tab">Tab-delimited Text</a>
        </li><li class="last">
          <a rel="nofollow" href="/tickets/1669?format=rss" class="rss">RSS Feed</a>
        </li>
      </ul>
    </div>
    </div>
    <div id="footer" lang="en" xml:lang="en"><hr />
      <a id="tracpowered" href="http://trac.edgewall.org/"><img src="/static/trac_logo_mini.png" height="30" width="107" alt="Trac Powered" /></a>
      <p class="left">Powered by <a href="/trac/cactus/about"><strong>Trac 1.0.8</strong></a><br />
        By <a href="http://www.edgewall.org/">Edgewall Software</a>.</p>
      <p class="right"></p>
    </div>
  </body>
</html>